* [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/opari2/
@ 2022-06-10 3:58 Alessandro Barbieri
0 siblings, 0 replies; 2+ messages in thread
From: Alessandro Barbieri @ 2022-06-10 3:58 UTC (permalink / raw
To: gentoo-commits
commit: fb201c0168c9a439c6c7583f7e1c4933f09f738c
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Jun 7 21:29:02 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Jun 10 03:58:04 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fb201c01
sys-cluster/opari2: new package, add 2.0.6
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sys-cluster/opari2/Manifest | 1 +
sys-cluster/opari2/metadata.xml | 13 +++++++++++++
sys-cluster/opari2/opari2-2.0.6.ebuild | 29 +++++++++++++++++++++++++++++
3 files changed, 43 insertions(+)
diff --git a/sys-cluster/opari2/Manifest b/sys-cluster/opari2/Manifest
new file mode 100644
index 000000000..663a51e4f
--- /dev/null
+++ b/sys-cluster/opari2/Manifest
@@ -0,0 +1 @@
+DIST opari2-2.0.6.tar.gz 1355638 BLAKE2B 343f747de622fd6bf03c8aa7c250c6293868427e9e5f6e077a72b618afd683b6f4e30d8ff8e1c2f01b28bbb401e1522df9803006bd109c859b688b6cbf383a0e SHA512 253dd353c3dbda148a5ca22124163362528db76343ec668d1fa6f45556befb6ef44c1b6cf2d8977ba712866c5f95db5d1461b943b14c2418cb45c3627882b573
diff --git a/sys-cluster/opari2/metadata.xml b/sys-cluster/opari2/metadata.xml
new file mode 100644
index 000000000..28fe2fe90
--- /dev/null
+++ b/sys-cluster/opari2/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <longdescription lang="en">
+OPARI2 is a tool to automatically instrument C, C++ and Fortran source code files in which pragmas (C/C++) or directives (Fortran) are used. Currently OpenMP and POMP user instrumentation are supported. Function calls to the pomp2_lib.h and pomp2_user_lib.h are inserted around or as replacement for supported directives. By implementing the respective APIs, detailed measurements regarding the runtime behavior of an applications can be made. A conforming implementation needs to implement all functions associated with the supported programming model. The original OPARI was developed to perform source-to-source instrumentation of OpenMP programs. Therefore the main focus of this document still lies on support for OpenMP.
+OpenMP 3.0 introduced tasking to OpenMP. To support this feature the POMP2 adapter needs to do some bookkeeping in regard to specific task IDs. The pomp2_lib.c provided with this package includes the necessary code so it is strongly advised to use it as a basis for writing an adapter to your own tool.
+A detailed description of the first OPARI version has been published by Mohr et al. in "Design and prototype of a performance tool interface for OpenMP" (Journal of supercomputing, 23, 2002).
+ </longdescription>
+</pkgmetadata>
diff --git a/sys-cluster/opari2/opari2-2.0.6.ebuild b/sys-cluster/opari2/opari2-2.0.6.ebuild
new file mode 100644
index 000000000..a55ddf1e8
--- /dev/null
+++ b/sys-cluster/opari2/opari2-2.0.6.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="OpenMP Pragma And Region Instrumentor"
+HOMEPAGE="https://www.vi-hps.org/projects/score-p"
+SRC_URI="https://perftools.pages.jsc.fz-juelich.de/cicd/${PN}/tags/${P}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_install() {
+ default
+ dodoc OPEN_ISSUES README
+ find "${ED}" -name '*.la' -delete || die
+ find "${ED}" -name '*.a' -delete || die
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/opari2/
@ 2022-06-15 22:35 Alessandro Barbieri
0 siblings, 0 replies; 2+ messages in thread
From: Alessandro Barbieri @ 2022-06-15 22:35 UTC (permalink / raw
To: gentoo-commits
commit: 9bd24562773280b50a1727ef1ec8eda12c218606
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Wed Jun 15 21:59:41 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Wed Jun 15 22:35:15 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9bd24562
sys-cluster/opari2: export more variables
Closes: https://bugs.gentoo.org/851162
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sys-cluster/opari2/opari2-2.0.6.ebuild | 15 ++++++++++++++-
1 file changed, 14 insertions(+), 1 deletion(-)
diff --git a/sys-cluster/opari2/opari2-2.0.6.ebuild b/sys-cluster/opari2/opari2-2.0.6.ebuild
index a55ddf1e8..f30d8e7d1 100644
--- a/sys-cluster/opari2/opari2-2.0.6.ebuild
+++ b/sys-cluster/opari2/opari2-2.0.6.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-inherit autotools
+inherit autotools toolchain-funcs
DESCRIPTION="OpenMP Pragma And Region Instrumentor"
HOMEPAGE="https://www.vi-hps.org/projects/score-p"
@@ -17,6 +17,19 @@ RDEPEND=""
DEPEND="${RDEPEND}"
src_prepare() {
+ tc-export CC CXX AR F77 FC CPP
+ export CXXCPP="${CPP}"
+ export CC_FOR_BUILD="${CC}"
+ export CXX_FOR_BUILD="${CXX}"
+ export FC_FOR_BUILD="${FC}"
+ export F77_FOR_BUILD="${F77}"
+ export CFLAGS_FOR_BUILD="${CFLAGS}"
+ export CXXFLAGS_FOR_BUILD="${CXXFLAGS}"
+ export FFLAGS_FOR_BUILD="${FFLAGS}"
+ export FCFLAGS_FOR_BUILD="${FCFLAGS}"
+ export LDFLAGS_FOR_BUILD="${LDFLAGS}"
+ export CPPFLAGS_FOR_BUILD="${CPPFLAGS}"
+
default
eautoreconf
}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2022-06-15 22:35 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-06-10 3:58 [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/opari2/ Alessandro Barbieri
-- strict thread matches above, loose matches on Subject: below --
2022-06-15 22:35 Alessandro Barbieri
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox